Scene Class Reference

`#include <pcl/outofcore/visualization/scene.h>`

## Public Member Functions

void | addCamera (Camera *camera)
std::vector< Camera * > | getCameras ()
Camera * | getCamera (vtkCamera *camera)
Camera * | getCamera (std::string name)
void | addObject (Object *object)
Object * | getObjectByName (std::string name)
std::vector< Object * > | getObjects ()
void | addViewport (Viewport *viewport)
std::vector< Viewport * > | getViewports ()
void | lock ()
void | unlock ()

## Static Public Member Functions

static Scene * | instance ()

## Detailed Description

Definition at line 12 of file scene.h.

## Member Function Documentation

## addCamera()

void Scene::addCamera | ( | Camera * | camera | ) |

Referenced by instance().

## addObject()

void Scene::addObject | ( | Object * | object | ) |

Referenced by instance().

## addViewport()

void Scene::addViewport | ( | Viewport * | viewport | ) |

Referenced by instance().

## getCamera() [1/2]

Camera* Scene::getCamera | ( | vtkCamera * | camera | ) |

Referenced by instance().

## getCamera() [2/2]

Camera* Scene::getCamera | ( | std::string | name | ) |

## getCameras()

std::vector<Camera*> Scene::getCameras | ( |  | ) |

Referenced by instance().

## getObjectByName()

Object* Scene::getObjectByName | ( | std::string | name | ) |

Referenced by instance().

## getObjects()

std::vector<Object*> Scene::getObjects | ( |  | ) |

Referenced by instance().

## getViewports()

std::vector<Viewport*> Scene::getViewports | ( |  | ) |

Referenced by instance().

## instance()

static Scene* Scene::instance | ( |  | ) |

inline static

Definition at line 27 of file scene.h.

References addCamera(), addObject(), addViewport(), getCamera(), getCameras(), getObjectByName(), getObjects(), and getViewports().

## lock()

void Scene::lock | ( |  | ) |

inline

Definition at line 70 of file scene.h.

## unlock()

void Scene::unlock | ( |  | ) |

inline

Definition at line 76 of file scene.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/visualization/scene.h